Subject: Re: bug#72556: 29.1.90; vc-diff does not undo hunk in end of source file

From: Tomas Nordin <[email-masked]>
Date: Tue, 11 Mar 2025 22:33:15 +0000

Juri Linkov <[email-masked]> writes:

>> So I added a check to only satisfy the NEW *and* OLD case when REVERSE is
>> not given.  What do you think?  (Also aligned the leading whitespace
>> with original code).  In my manual tests it seems to work.  I learned
>> about the splitting of hunks and it doesn't seem broken.
>
> If Dmitry agrees then let's push this patch.

In the meantime I wrote two test cases in
test/lisp/vc/diff-mode-tests.el, one for a topmost and one for a
bottommost addition. They both fail before the patch but pass after it.
Maybe I could present them here as an attached patch as well?